﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Ozeki
{
    public static partial class OzCommonStrings
    {
        public static string CleanUnicode(string s)
        {
            var ret = new StringBuilder();
            foreach (var t in s)
            {
                if (t > 127)
                {
                    ret.Append(" ");
                }
                else
                {
                    ret.Append(t);
                }
            }
            return ret.ToString();
        }

        public static string CleanNonReadable(string s)
        {
            return new String(s.Where(Char.IsLetterOrDigit).ToArray());
        }

        public static string Trim(string s)
        {
            if (s == null) return "";
            return s.Trim(' ', (char)13, (char)10, (char)9, (char)0);
        }
    }
}
