﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ozeki
{
    public static partial class OzCommonStrings
    {
        public static bool Invoke<T>(Func<T, bool> compile, T item)
        {
            try
            {
                //  return compile.Invoke(item);
                return compile(item);
            }
            catch(Exception e)
            {
                return false;
            }
        }

        public static TKey Invoke<T, TKey>(Func<T, TKey> compile, T item)
        {
            try
            {
                return compile(item);
             //   return compile.Invoke(item);
            }
            catch(Exception e)
            {
                return default(TKey);
            }
        }
    }
}