﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Security.Cryptography;

namespace Ozeki
{
    public static partial class OzCommonStrings
    {
        public static string sha256(string input)
        {
            using (var sha256Hash = SHA256.Create())
            {
                var bytes = Encoding.UTF8.GetBytes(input);
                var hashBytes = sha256Hash.ComputeHash(bytes);
                var hashStringBuilder = new StringBuilder();
                foreach (var hashByte in hashBytes)
                {
                    hashStringBuilder.Append(hashByte.ToString("X2"));
                }
                return hashStringBuilder.ToString().ToLower();
            }
        }

        public static string sha512(string input)
        {
            using (var sha512Hash = SHA512.Create())
            {
                var bytes = Encoding.UTF8.GetBytes(input);
                var hashBytes = sha512Hash.ComputeHash(bytes);
                var hashStringBuilder = new StringBuilder();
                foreach (var hashByte in hashBytes)
                {
                    hashStringBuilder.Append(hashByte.ToString("X2"));
                }
                var ret =  hashStringBuilder.ToString().ToUpper();
                return ret;
            }
        }

        public static string sha512(byte[] bytes)
        {
            using (var sha512Hash = SHA512.Create())
            {
                var hashBytes = sha512Hash.ComputeHash(bytes);
                var hashStringBuilder = new StringBuilder();
                foreach (var hashByte in hashBytes)
                {
                    hashStringBuilder.Append(hashByte.ToString("X2"));
                }
                var ret = hashStringBuilder.ToString().ToUpper();
                return ret;
            }
        }

    }
}