﻿using Ozeki;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace OzekiHttpClient
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void bSend_Click(object sender, EventArgs e)
        {
            var request = new OzHttpDownloadParams();
            request.Url = tbURL.Text;
            if (cbMethod.Text == "GET")
            {
                request.RequestMethod = HTTPRequestMethod.GET;
            }
            else
            { 
                request.RequestMethod = HTTPRequestMethod.POST;
            }
            request.PostData = tbPostData.Text;
            request.SetContentType(tbContentType.Text);

            var ret = OzHttpClient.HttpDownload(request);
            var log = request.Log;
            tbLog.Text = log;
        }
    }
}
