﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ozeki
{
    static partial class OzHttpClient
    {
        //**************************************************************
        // HTTP GET
        //**************************************************************

        public static bool HttpGET(string url, out string response)
        {
            return HttpDownload(url, HTTPRequestMethod.GET, out response, out var log);
        }

        public static bool HttpGET(string url, out string response, out string error)
        {
            return HttpDownload(url, HTTPRequestMethod.GET, null, out response, out var responseHeaders, out string log, out error);
        }

        public static bool HttpGET(OzHttpDownloadParams downloadParams)
        {
            bool ret;
            if (downloadParams.RequestMethod == HTTPRequestMethod.GET)
                ret = httpDownloadString(downloadParams);
            else
                ret = httpUploadString(downloadParams);
            return ret;
        }


    }
}
