﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace Ozeki
{
    static partial class OzHttpClient
    {

        public static bool HttpPOST(string url, string postdata, out string response, out string log)
        {
            return HttpDownload(url, HTTPRequestMethod.POST, postdata, out response, out log);
        }

        static void attachPostData(HttpWebRequest request, string requestData)
        {
            var encoding = new UTF8Encoding();
            var bytes = encoding.GetBytes(requestData);
            request.ContentLength = bytes.Length;
            using (var writeStream = request.GetRequestStream())
            {
                writeStream.Write(bytes, 0, bytes.Length);
                writeStream.Close();
            }
        }

        public static bool HttpPOST(OzHttpDownloadParams downloadParams)
        {
            bool ret;
            downloadParams.RequestMethod = HTTPRequestMethod.POST;
            ret = httpUploadString(downloadParams);
            return ret;
        }
    }
}
