﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Ozeki
{
    public static partial class OzCommonStrings
    {
        public static bool IntToBool(int i)
        {
            return i != 0;
        }

        public static int BoolToInt(bool bit)
        {
            return bit ? 1 : 0;
        }

        public static string BoolToStringOnOff(bool b)
        {
            return b ? "on" : "off";
        }

        public static string BoolToStringTrueFalse(bool b)
        {
            return b ? "true" : "false";
        }

        public static string BoolToStringYesNo(bool b)
        {
            return b ? "yes" : "no";
        }

        public static bool StringToBoolOnOff(string s)
        {
            return s.ToLowerInvariant() == "on";
        }

        public static bool StringToBoolYesNo(string s)
        {
            return s.ToLowerInvariant() == "yes";
        }

        public static bool StringToBoolAll(string s)
        {
            var sl = s.ToLowerInvariant();
            if (sl == "yes") return true;
            if (sl == "y") return true;
            if (sl == "true") return true;
            if (sl == "t") return true;
            if (sl == "on") return true;
            if (sl == "1") return true;
            return false;
        }

        public static bool StringToBoolTrueFalse(string s)
        {
            if (string.IsNullOrEmpty(s)) return false;
            return s.ToLowerInvariant() == "true";
        }
    }
}
