﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text.RegularExpressions;

namespace Ozeki
{
    public static partial class OzCommonStrings
    {
        public static bool ContainsDigit(string pass)
        {
            return pass.Any(char.IsDigit);
        }

        public static bool ContainsLowerLetter(string pass)
        {
            return pass.Any(char.IsLower);
        }

        public static bool ContainsUpperLetter(string pass)
        {
            return pass.Any(char.IsUpper);
        }

        public static bool ContainsSymbol(string pass)
        {
            var regexItem = new Regex("^[a-zA-Z0-9 ]*$");

            return !regexItem.IsMatch(pass);
        }
    }
}
