﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Globalization;
using System.Security.Cryptography;
using System.Text;
using System.Linq;

namespace Ozeki
{
    public static partial class OzCommonStrings
    {

        public static IList CopyItemsLocked(ICollection inputColl)
        {
            lock (inputColl)
            {
                var il = new List<object>();
                var enumerator = inputColl.GetEnumerator();
                while (enumerator.MoveNext()) il.Add(enumerator.Current);
                return il;
            }
        }

        public static string JoinFromList(string joinchar, IList items)
        {
            //if (joinchar == null) joinchar = ",";
            //var ret = new StringBuilder();
            //for (var x = 0; x < items.Count; x++)
            //{
            //    if (x > 0)
            //    {
            //        ret.Append(joinchar);
            //    }
            //    ret.Append((string)items[x]);
            //}
            //return (ret.ToString());

            return string.Join(joinchar, items);
        }

        public static string JoinFromList(string joinchar, List<string> items)
        {
            //if (joinchar == null) joinchar = ",";
            //var ret = new StringBuilder();
            //using (IEnumerator<string> en = items.GetEnumerator())
            //{
            //    if (en.MoveNext())
            //    {
            //        ret.Append(en.Current);

            //        while (en.MoveNext())
            //        {
            //            ret.Append(joinchar);
            //            ret.Append(en.Current);
            //        }
            //    }
            //}

            //return (ret.ToString());

            return string.Join(joinchar, items);
        }

        public static bool StringArrContains(string[] paramValue, string value)
        {
            //var found = false;
            //var x = paramValue.Length - 1;
            //while ((x > -1) && (!found))
            //{
            //    if (paramValue[x] == value)
            //    {
            //        found = true;
            //    }
            //    x--;
            //}

            //return false;

            return paramValue.Contains(value);
        }

        public static string StringArrToString(string[] paramValue)
        {
            if (paramValue.Length <= 0) return string.Empty;

            var ret = paramValue[0].Replace("\\", "\\\\").Replace(";", "\\;");
            for (var x = 1; x < paramValue.Length; x++)
            {
                ret += ";" + paramValue[x].Replace("\\", "\\\\").Replace(";", "\\;");
            }
            return ret;

        }
    }
}
