﻿using System;
using System.Collections.Concurrent;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace Ozeki
{
    public partial class OzCommonStrings
    {

        public static string FastReplaceFirst(string input, string oldvalue, string newValue)
        {
            int p = input.IndexOf(oldvalue);
            if (p == -1) return input;

            var charSize = sizeof(char);

            p = p * charSize;
            var il = input.Length * charSize;
            var ol = oldvalue.Length * charSize;
            var nl = newValue.Length * charSize;
            var inputBytes = input.ToCharArray();

            char[] dest = new char[input.Length - oldvalue.Length + newValue.Length];
            System.Buffer.BlockCopy(inputBytes, 0, dest, 0, p);
            System.Buffer.BlockCopy(newValue.ToCharArray(), 0, dest, p, nl);
            System.Buffer.BlockCopy(inputBytes, p + ol, dest, p + nl, il - (p + ol));
            var ret = new string(dest);
            return ret;
        }

		
    }
}
