﻿using System;
using System.Globalization;
using System.Text.RegularExpressions;

namespace Ozeki
{
    partial class OzDateTime
    {
        public const string MySQLFormat = "yyyy-MM-dd HH:mm:ss";
        public const string MySQLFormatShort = "yy-MM-dd HH:mm";
        private static volatile string dateTimeMySQLString;

        public const string MySQLFormatExact = "yyyy-MM-dd HH:mm:ss.fff";

        public static string NowMySQLString
        {
            get
            {
                Update();
                return dateTimeMySQLString;
            }
        }

        public static string TodayMySQLString
        {
            get
            {
                Update();
                return dateTime.ToString("yyyy-MM-dd");
            }
        }

        public static string UtcNowMySQLString
        {
            get
            {
                Update();
                return utcNow.ToString(MySQLFormat);
            }
        }
    }
}
