﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace Ozeki
{
    partial class OzHttpClient
    {
        //**************************************************************
        // Upload
        //**************************************************************

        static void uploadProgressChanged(WebClientEx client, UploadProgressChangedEventArgs e)
        {
            if (client.Progress == e.ProgressPercentage) return;
            client.Progress = e.ProgressPercentage;

            if (!(e.UserState is OzHttpUploadParams uploadParams)) return;
            notifyMonitorAboutProgressChanged(uploadParams, client, e);
        }
    }
}
