﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ozeki
{
    public class OzWebRequestExecutor
    {
        readonly static object _sync = new object();

        static IOzWebRequestExecutor _instance;
        public static IOzWebRequestExecutor Instance
        {
            get
            {
                if (_instance != null) return _instance;
                lock (_sync)
                {
                    if (_instance != null) return _instance;
                    _instance = new OzWebRequestExecutorDefault();
                    return _instance;
                }
            }
        }

        public static void SetInstance(IOzWebRequestExecutor webRequestExecutor)
        {
            _instance = webRequestExecutor;
        }
    }
}
